Get Company Credit Purchase
curl --request GET \
--url https://api.example.com/api/v1/ops/company-credit-purchases/{companyCreditPurchaseId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/ops/company-credit-purchases/{companyCreditPurchaseId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/ops/company-credit-purchases/{companyCreditPurchaseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"companyCreditPurchaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyCreditAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cooperativeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"cooperative": {
"cooperativeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organization": {
"document": "45.723.174/0001-10",
"documentType": "CNPJ",
"name": "Cooperativa Metropolitana",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"type": "COOPERATIVE",
"email": "contato@estrela.com",
"legalName": "Cooperativa Metropolitana de Transporte Ltda.",
"logo": "organizations/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/logo/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"tradeName": "Metropolitana"
}
},
"code": "<string>",
"amount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"paymentId": null,
"purchasedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canceledAt": "2023-11-07T05:31:56Z",
"creditedAt": "2023-11-07T05:31:56Z",
"payment": {
"paymentId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"orderId": null,
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"organization": {
"document": "45.723.174/0001-10",
"documentType": "CNPJ",
"name": "Cooperativa Metropolitana",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"type": "COOPERATIVE",
"email": "contato@estrela.com",
"legalName": "Cooperativa Metropolitana de Transporte Ltda.",
"logo": "organizations/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/logo/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"tradeName": "Metropolitana"
},
"cooperativeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"cooperative": {
"cooperativeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organization": {
"document": "45.723.174/0001-10",
"documentType": "CNPJ",
"name": "Cooperativa Metropolitana",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"type": "COOPERATIVE",
"email": "contato@estrela.com",
"legalName": "Cooperativa Metropolitana de Transporte Ltda.",
"logo": "organizations/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/logo/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"tradeName": "Metropolitana"
}
},
"externalProvider": "mock",
"externalProviderId": "pay_a1b2c3d4",
"externalOrderId": "order_a1b2c3d4",
"method": "PIX",
"channel": "ONLINE",
"amount": 15000,
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z",
"issuedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"cashSettlementId": null,
"description": "Order payment",
"card": {},
"pix": {},
"canceledBy": null,
"createdBy": null,
"updatedBy": null,
"canceledAt": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"overdueAt": "2023-11-07T05:31:56Z",
"paidAt": "2023-11-07T05:31:56Z"
}
}{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}{
"message": "Missing or invalid access token",
"statusCode": 401
}{
"message": "Insufficient permissions",
"statusCode": 403
}{
"message": "Internal Server Error",
"statusCode": 500
}CompanyCreditPurchase
Get Company Credit Purchase
Returns a company credit purchase.
GET
/
api
/
v1
/
ops
/
company-credit-purchases
/
{companyCreditPurchaseId}
Get Company Credit Purchase
Authorizations
bearerbearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.
Response
OK
Company credit purchase
Cooperative identifier
Example:
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a"
Cooperative
Show child attributes
Show child attributes
Payment identifier
Example:
null
Show child attributes
Show child attributes
⌘I